DROP TABLE IF EXISTS ausleihe;
CREATE TABLE ausleihe (
    id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    buch_id bigint(13) UNSIGNED NOT NULL,
    ausweis_id int(11) UNSIGNED NOT NULL,
    dauer int(1), -- in Wochen
    ausleihdatum date,
    PRIMARY KEY (id),
    CONSTRAINT fk_ausleihe_buch FOREIGN KEY (buch_id) REFERENCES buch(isbn) ON UPDATE CASCADE,
    CONSTRAINT fk_ausleihe_ausweis FOREIGN KEY (ausweis_id) REFERENCES ausweis(id) ON UPDATE CASCADE
);

INSERT INTO ausleihe (`buch_id`, `ausweis_id`,`dauer`,`ausleihdatum`)
VALUES
(6816071853,1,2,'2021-11-01'),
(9481837404,3,1,'2021-11-01'),
(2927314884,30,3,'2021-11-01'),
(3298574523,1,1,'2021-10-01'),
(3298574525,2,2,'2021-10-02'),
(3298574527,3,3,'2021-10-03'),
(3298574529,4,4,'2021-10-04'),
(3298574532,5,1,'2021-10-05'),
(3298574533,6,2,'2021-10-06'),
(3298574537,7,3,'2021-10-07'),
(3298574541,8,4,'2021-10-08'),
(3298574543,9,1,'2021-10-09'),
(3298574544,10,2,'2021-10-10'),
(3298574545,11,3,'2021-10-11'),
(3298574546,12,4,'2021-10-12'),
(3298574548,13,1,'2021-10-13'),
(3298574550,14,2,'2021-10-14'),
(3298574551,15,3,'2021-10-15'),
(3298574552,16,4,'2021-10-16'),
(3298574553,17,1,'2021-10-17'),
(3298574554,18,2,'2021-10-18'),
(3298574558,19,3,'2021-10-19'),
(3298574561,20,4,'2021-10-20'),
(3298574562,21,1,'2021-10-21'),
(3298574565,22,2,'2021-10-22'),
(3298574566,23,3,'2021-10-23'),
(3298574569,24,4,'2021-10-24'),
(3298574570,25,1,'2021-10-25'),
(3298574571,26,2,'2021-10-26'),
(3298574575,27,3,'2021-10-27'),
(3298574577,28,4,'2021-10-28'),
(3298574579,29,1,'2021-10-29'),
(3298574580,30,2,'2021-10-30'),
(3298574581,31,3,'2021-10-31'),
(3298574587,32,4,'2021-11-01'),
(3298574590,33,1,'2021-11-02'),
(3298574592,34,2,'2021-11-03'),
(3298574593,35,3,'2021-11-04'),
(3298574594,36,4,'2021-11-05'),
(3298574595,37,1,'2021-10-01'),
(3298574596,38,2,'2021-10-02'),
(3298574598,39,3,'2021-10-03'),
(3298574601,40,4,'2021-10-04'),
(3298574605,41,1,'2021-10-05'),
(3298574608,42,2,'2021-10-06'),
(3298574613,43,3,'2021-10-07'),
(3298574619,44,4,'2021-10-08'),
(3298574620,45,1,'2021-10-09'),
(3298574621,46,2,'2021-10-10'),
(3298574625,47,3,'2021-10-11'),
(3298574629,48,4,'2021-10-12'),
(3298574632,49,1,'2021-10-13'),
(3298574634,50,2,'2021-10-14'),
(3298574636,51,3,'2021-10-15'),
(3298574638,52,4,'2021-10-16'),
(3298574641,53,1,'2021-10-17'),
(3298574642,54,2,'2021-10-18'),
(3298574645,55,3,'2021-10-19'),
(3298574651,56,4,'2021-10-20'),
(3298574652,57,1,'2021-10-21'),
(3298574654,58,2,'2021-10-22'),
(3298574656,59,3,'2021-10-23');